Confirm claim
curl --request POST \
--url https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm \
--header 'Content-Type: application/json' \
--data '
{
"bind_ticket": "<string>",
"membership_id": "<string>"
}
'import Foundation
let parameters = [
"bind_ticket": "<string>",
"membership_id": "<string>"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Content-Type": "application/json"]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({bind_ticket: '<string>', membership_id: '<string>'})
};
fetch('https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm"
payload = {
"bind_ticket": "<string>",
"membership_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"access_token": "<string>",
"token_type": "Bearer",
"expires_in": 3600,
"refresh_token": "<string>",
"scope": "<string>",
"id_token": "<string>",
"issued_token_type": "<string>"
}{
"error": "invalid_grant",
"error_description": "Authorization code has expired or already been used"
}{
"error": "not_found",
"error_description": "Client not found"
}Confirm claim
Binds the claim; creates/links the user.
POST
/
api
/
v1
/
membership-claims
/
{token}
/
confirm
Confirm claim
curl --request POST \
--url https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm \
--header 'Content-Type: application/json' \
--data '
{
"bind_ticket": "<string>",
"membership_id": "<string>"
}
'import Foundation
let parameters = [
"bind_ticket": "<string>",
"membership_id": "<string>"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Content-Type": "application/json"]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({bind_ticket: '<string>', membership_id: '<string>'})
};
fetch('https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}/confirm"
payload = {
"bind_ticket": "<string>",
"membership_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"access_token": "<string>",
"token_type": "Bearer",
"expires_in": 3600,
"refresh_token": "<string>",
"scope": "<string>",
"id_token": "<string>",
"issued_token_type": "<string>"
}{
"error": "invalid_grant",
"error_description": "Authorization code has expired or already been used"
}{
"error": "not_found",
"error_description": "Client not found"
}Path Parameters
Claim token
Body
application/json
